Bug 202053 - [MAINTAINER] www/squid: Update to 3.5.7
Summary: [MAINTAINER] www/squid: Update to 3.5.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Bartek Rutkowski
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-08-03 07:19 UTC by timp87
Modified: 2015-09-21 11:08 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
port update (2.73 KB, patch)
2015-08-03 07:19 UTC, timp87
no flags Details | Diff
poudriere log (726.85 KB, text/plain)
2015-08-03 07:20 UTC, timp87
no flags Details
new port update (13.83 KB, patch)
2015-08-05 08:43 UTC, timp87
koobs: maintainer-approval+
Details | Diff
new poudriere log (426.26 KB, text/plain)
2015-08-05 08:51 UTC, timp87
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2015-08-03 07:19:26 UTC
Created attachment 159481 [details]
port update

Hi!
Meet the www/squid port update!
Comment 1 timp87 2015-08-03 07:20:50 UTC
Created attachment 159482 [details]
poudriere log
Comment 2 timp87 2015-08-05 08:43:52 UTC
Created attachment 159565 [details]
new port update

- update www/squid to 3.5.7;
- fix build with ecap by clang;
- get rid of useless and always empty /var/squid/logs;
- rework patches to make portlint a bit happier.
Comment 3 timp87 2015-08-05 08:51:09 UTC
Created attachment 159566 [details]
new poudriere log
Comment 4 commit-hook freebsd_committer 2015-08-05 18:32:56 UTC
A commit references this bug:

Author: robak
Date: Wed Aug  5 18:32:23 UTC 2015
New revision: 393602
URL: https://svnweb.freebsd.org/changeset/ports/393602

Log:
  www/squid: update 3.5.6 -> 3.5.7

  - Fix build with ecap by clang
  - Get rid of useless and always empty /var/squid/logs
  - Rework patches to make portlint a bit happier

  PR:		202053
  Submitted by:	Pavel Timofeev <timp87@gmail.com> (maintainer)

Changes:
  head/www/squid/Makefile
  head/www/squid/distinfo
  head/www/squid/files/extra-patch-build-8-9
  head/www/squid/files/patch-bug4190
  head/www/squid/files/patch-build-clang-ecap
  head/www/squid/files/patch-compat_compat.h
  head/www/squid/files/patch-configure
  head/www/squid/files/patch-configure_GSSAPI_NONE
  head/www/squid/files/patch-configure_NIS
  head/www/squid/files/patch-configure_crypt.h
  head/www/squid/files/patch-src-cf.data.pre
  head/www/squid/files/patch-src_DiskIO_Mmapped_MmappedFile.cc
  head/www/squid/files/patch-src_ipc_mem_Segment.cc
  head/www/squid/files/patch-src_tools.cc
  head/www/squid/pkg-plist
Comment 5 Bartek Rutkowski freebsd_committer 2015-08-05 18:33:21 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2015-09-21 11:08:37 UTC
A commit references this bug:

Author: junovitch
Date: Mon Sep 21 11:08:26 UTC 2015
New revision: 397486
URL: https://svnweb.freebsd.org/changeset/ports/397486

Log:
  MFH r391555, r392222, r393602, r396106, r396185, r397215, r397476

  r391555
  www/squid: Support DragonFly SHM segments

  Out of the box, squid would not run on dragonfly due to its handling
  of SHM segments.  On DragonFly, SHM segments are always treated as files
  but on FreeBSD it depends on whether or not application is inside a jail.

  In any case, the case for DragonFly was no supported, so it has been
  added via patch.  This also requires the return of /var/run/squid
  directory which is where the SHM files are stored (defined by
  localstatedir and supported by RC script).  The RC script would define
  this directory if missing, but let's make sure it is always available.

  PR:		201405
  Submitted by:	marino
  Approved by:	maintainer (timp87/gmail)

  r392222
  www/squid: pkg-list fix

  - add missing pkg-plist entry (SSL_CRTD option)

  PR:                  201463
  Submitted by:        s3erios@gmail.com
  Approved by:         timp87@gmail.com (maintainer)

  r393602
  www/squid: update 3.5.6 -> 3.5.7

  - Fix build with ecap by clang
  - Get rid of useless and always empty /var/squid/logs
  - Rework patches to make portlint a bit happier

  PR:		202053
  Submitted by:	Pavel Timofeev <timp87@gmail.com> (maintainer)

  r396106
  www/squid: update 3.5.7 -> 3.5.8

  PR:		202826
  Submitted by:	Pavel Timofeev <timp87@gmail.com> (maintainer)
  Approved by:	feld (mentor)

  r396185
  Fix TP_IPF build.

  r397215
  Rather than produce a warning message that IPv6 is not supported
  under ipfilter 4 (FreeBSD 9) every tenth time, reduce the message
  to one in a million. This has the effect of displaying the message
  at or shortly after startup with a reminder every blue moon.

  PR:		202950

  r397476
  www/squid: security update and build fix

  - security update 3.5.8 -> 3.5.9 [1]
  - Fix TP_IPF build on FreeBSD 9 [2]

  PR:		203186 [1]
  PR:		202950 [2]
  Approved by:	Pavel Timofeev <timp87@gmail.com> (maintainer) [1]
  Security:	d3a98c2d-5da1-11e5-9909-002590263bf5
  Approved by:	portmgr (erwin)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/www/squid/Makefile
  branches/2015Q3/www/squid/distinfo
  branches/2015Q3/www/squid/files/extra-patch-build-8-9
  branches/2015Q3/www/squid/files/patch-bug4190
  branches/2015Q3/www/squid/files/patch-compat_compat.h
  branches/2015Q3/www/squid/files/patch-compat_shm.cc
  branches/2015Q3/www/squid/files/patch-configure
  branches/2015Q3/www/squid/files/patch-configure_GSSAPI_NONE
  branches/2015Q3/www/squid/files/patch-configure_NIS
  branches/2015Q3/www/squid/files/patch-configure_crypt.h
  branches/2015Q3/www/squid/files/patch-src-cf.data.pre
  branches/2015Q3/www/squid/files/patch-src_DiskIO_Mmapped_MmappedFile.cc
  branches/2015Q3/www/squid/files/patch-src__ip__Intercept.cc
  branches/2015Q3/www/squid/files/patch-src_ipc_mem_Segment.cc
  branches/2015Q3/www/squid/files/patch-src_tools.cc
  branches/2015Q3/www/squid/pkg-plist